# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2010-2011, Tashilgostar co. , All Rights Reserved
#        Nima ghorbani <nima.ghorbani@tashilgostar.com> (http://tashilgostar.com)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import pooler
import wizard
import os

from tools.config import config

# [TODO] - Put these informations in administration panel.
cups_cmd = {
	'printer': '',
        'noofcopy':1,
	}

def build_cups_cmd(self, printer, form):
	
	if printer:
		printer="-d " + printer.sname #printer
	noofcopy=" -n "+str(form.noofcopy)+" " #noofcopy
	if form.fit:#fit
		fit=" -o fitplot"
	else:fit=""
	
	if form.one_side: #side
		side=" -o sides=one-sided "
	elif form.two_side:
		side=" -o sides=two-sided-long-edge "
	else: side=" -o sides=one-sided "
	if form.landscape:#scape
		scape="-o landscape "
	else: scape=""
	if form.letter:#scape
		size=" -o media=a5 "
	elif form.A3:#scape
		size=" -o media=a3 "
	else: size=" -o media=a4 "
	
	doc=form.attachment
	
	
	command="lp"+size+printer+noofcopy+fit+side+scape+doc
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:


