# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (c) 2010-2011, Tashilgostar co. , All Rights Reserved
#        Nima ghorbani <nima.ghorbani@tashilgostar.com> (http://tashilgostar.com)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv
from tools.translate import _


class printer_manager(osv.osv):
        _name="printers"
        _columns={
                'name': fields.char('Name', size=56, required=True ,translate=True ,help="Printer name"),
                'sname': fields.char('Server Name', size=256, required=True , help="Cups Server Name For This Printer"),
                'description' : fields.text('Description',translate=True,help="Describe your printer"),
        }
        _sql_constraints=[('sname_uniq','unique(sname)','Sever Name Should Be Unique!')]

printer_manager()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:

